View Issue Details

IDProjectCategoryView StatusLast Update
0004326FreeCADBugpublic2020-05-09 22:55
Reporterdubstar_04 Assigned Todubstar_04  
PriorityurgentSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.19 
Target Version0.19 
Summary0004326: [Path] Simulation Doesn't work with new toolbits
Descriptioncurrent tools of type Path.Tool are represented mathmatically in simulation, by decribing the height of the tool face at -1 to 1 of the tool radius.

This approach won't work with the tools bits as they cannot easily be represented mathmatically as the form is unknown due to the flexibility of sketching the tool shape.

 
Steps To Reproducecreate a path job using tool bits (not legacy tools) create an operation and simulate
TagsNo tags attached.
FreeCAD Information<!--ATTENTION:
COMPLETELY ERASE THIS AFTER PASTING YOUR
Help > About FreeCAD > Copy to clipboard
NOTE: just the snippet alone will do without anything else included.
The ticket will not be submitted without it.
-->

Activities

dubstar_04

2020-05-09 22:55

developer   ~0014411

Fix committed to master branch.

Related Changesets

FreeCAD: master 7cb81412

2020-04-29 18:32:25

dubstar_04

Details Diff
Handle Legacy and Toolbits in simulation fixes 0004326

pass the tool or toolbit shape into the simulation
Affected Issues
0004326
mod - src/Mod/Path/PathScripts/PathSimulatorGui.py Diff File

Issue History

Date Modified Username Field Change
2020-04-28 15:01 dubstar_04 New Issue
2020-04-28 15:01 dubstar_04 Status new => assigned
2020-04-28 15:01 dubstar_04 Assigned To => dubstar_04
2020-04-28 15:01 dubstar_04 Summary Simulation Doesn't work with new toolbits => [Path] Simulation Doesn't work with new toolbits
2020-05-09 22:55 dubstar_04 Changeset attached => FreeCAD master 7cb81412
2020-05-09 22:55 dubstar_04 Note Added: 0014411
2020-05-09 22:55 dubstar_04 Status assigned => closed
2020-05-09 22:55 dubstar_04 Resolution open => fixed